import { request } from '@/utils/request.js'

/**
 * 订单记录表（支付成功） API接口
 */
export default {
  /**
   * 数据列表
   * @returns
   */
  getPageList(params = {}) {
    return request({
      // url: "/v1/dataReport/SdkOrderSuccess/index",
      url: '/v1/dataReport/UserLog/getRechargeDetailList',
      method: 'get',
      params
    })
  },

  /**
   * 添加数据
   * @returns
   */
  save(params = {}) {
    return request({
      url: '/v1/dataReport/SdkOrderSuccess/save',
      method: 'post',
      data: params
    })
  },

  /**
   * 更新数据
   * @returns
   */
  update(id, data = {}) {
    return request({
      url: '/v1/dataReport/SdkOrderSuccess/update?id=' + id,
      method: 'put',
      data
    })
  },

  /**
   * 读取数据
   * @returns
   */
  read(id) {
    return request({
      url: '/v1/dataReport/SdkOrderSuccess/read?id=' + id,
      method: 'get'
    })
  },

  /**
   * 删除数据
   * @returns
   */
  destroy(data) {
    return request({
      url: '/v1/dataReport/SdkOrderSuccess/destroy',
      method: 'delete',
      data
    })
  }
}
